Bug 1227911 - samba is not compiled with tar support
Summary: samba is not compiled with tar support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-03 19:36 UTC by Jean-Louis Martineau
Modified: 2015-06-27 12:39 UTC (History)
7 users (show)

Fixed In Version: samba-4.2.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-27 12:39:58 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jean-Louis Martineau 2015-06-03 19:36:32 UTC
Description of problem:
The tar functionality of smbclient do not works.

Version-Release number of selected component (if applicable):
$ smbclient --version

How reproducible:
Always

Steps to Reproduce:
1. smbclient '\\\\nosuchhost.amanda.org\\notashare' -U nosuchuser -N -Tx /dev/null 2>&1

Actual results:
tar mode not compiled. build with --with-libarchive


Expected results:
failure to connect


Additional info:
samba should be configured with '--with-libarchive'

Comment 1 Jean-Louis Martineau 2015-06-03 20:10:06 UTC
I installed libarchive and libarchive-devel
reconfigured samba and compiled it.

$ /usr/local/samba/bin/smbclient '\\\\nosuchhost.amanda.org\\notashare' -U nosuchuser -N -Tx /dev/null 2>&1
Connection to  failed (Error NT_STATUS_UNSUCCESSFUL)

This is the expected result.

Comment 2 Fedora Update System 2015-06-24 16:42:29 UTC
samba-4.2.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/samba-4.2.2-1.fc22

Comment 3 Fedora Update System 2015-06-25 08:24:32 UTC
Package samba-4.2.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba-4.2.2-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10713/samba-4.2.2-1.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-06-27 12:39:58 UTC
samba-4.2.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.